Support

Manage Domain Settings

View as Markdown

Retrieve domain details and manage contacts, nameservers, forwarding rules, privacy forwarding, renewals, and redemption.

GET
/v2/customers/{customerId}/domains/{domain}/changeOfRegistrant

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain whose change of registrant information is to be retrieved

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/customers/string/domains/string/changeOfRegistrant"
{  "createDate": "string",  "gainingContact": {    "email": "user@example.com",    "firstName": "string",    "lastName": "string",    "organization": "string"  },  "losingContact": {    "email": "user@example.com",    "firstName": "string",    "lastName": "string",    "organization": "string"  },  "otherDomainsAffected": 0,  "shopperEmail": "user@example.com"}
DELETE
/v2/customers/{customerId}/domains/{domain}/changeOfRegistrant

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain whose change of registrant is to be cancelled

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

curl -X DELETE "https://example.com/v2/customers/string/domains/string/changeOfRegistrant"
Empty
PUT
/v2/customers/{customerId}/domains/{domain}/nameServers

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain whose name servers are to be replaced

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Request Body

application/json

Name server records to replace on the domain

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/customers/string/domains/string/nameServers" \  -H "Content-Type: application/json" \  -d '{}'
Empty
GET
/v2/customers/{customerId}/domains/{domain}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain name whose details are to be retrieved

Query Parameters

includes?array<>

Optional details to be included in the response

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/customers/string/domains/string"
{  "domainId": "string",  "domain": "string",  "subaccountId": "string",  "status": "ACTIVE",  "expiresAt": "string",  "expirationProtected": true,  "holdRegistrar": true,  "locked": true,  "privacy": true,  "registrarCreatedAt": "string",  "renewAuto": true,  "renewDeadline": "string",  "transferProtected": true,  "createdAt": "string",  "deletedAt": "string",  "modifiedAt": "string",  "transferAwayEligibleAt": "string",  "authCode": "string",  "nameServers": [    "string"  ],  "hostnames": [    "string"  ],  "renewal": {    "renewable": true,    "price": 0,    "currency": "USD"  },  "verifications": {    "icann": "COMPLETED",    "realName": "APPROVED",    "domainName": "APPROVED"  },  "contacts": {    "registrant": {      "contactId": "string",      "encoding": "ASCII",      "nameFirst": "string",      "nameMiddle": "string",      "nameLast": "string",      "organization": "string",      "jobTitle": "string",      "email": "user@example.com",      "phone": "string",      "fax": "string",      "addressMailing": {        "address1": "string",        "address2": "string",        "city": "string",        "country": "AC",        "postalCode": "string",        "state": "string"      },      "exposeRegistrantOrganization": true,      "exposeWhois": true,      "metadata": {},      "tlds": [        "string"      ],      "_createdAt": "string",      "_modifiedAt": "string",      "_deleted": true,      "_revision": 0    },    "admin": {      "contactId": "string",      "encoding": "ASCII",      "nameFirst": "string",      "nameMiddle": "string",      "nameLast": "string",      "organization": "string",      "jobTitle": "string",      "email": "user@example.com",      "phone": "string",      "fax": "string",      "addressMailing": {        "address1": "string",        "address2": "string",        "city": "string",        "country": "AC",        "postalCode": "string",        "state": "string"      },      "exposeRegistrantOrganization": true,      "exposeWhois": true,      "metadata": {},      "tlds": [        "string"      ],      "_createdAt": "string",      "_modifiedAt": "string",      "_deleted": true,      "_revision": 0    },    "tech": {      "contactId": "string",      "encoding": "ASCII",      "nameFirst": "string",      "nameMiddle": "string",      "nameLast": "string",      "organization": "string",      "jobTitle": "string",      "email": "user@example.com",      "phone": "string",      "fax": "string",      "addressMailing": {        "address1": "string",        "address2": "string",        "city": "string",        "country": "AC",        "postalCode": "string",        "state": "string"      },      "exposeRegistrantOrganization": true,      "exposeWhois": true,      "metadata": {},      "tlds": [        "string"      ],      "_createdAt": "string",      "_modifiedAt": "string",      "_deleted": true,      "_revision": 0    },    "billing": {      "contactId": "string",      "encoding": "ASCII",      "nameFirst": "string",      "nameMiddle": "string",      "nameLast": "string",      "organization": "string",      "jobTitle": "string",      "email": "user@example.com",      "phone": "string",      "fax": "string",      "addressMailing": {        "address1": "string",        "address2": "string",        "city": "string",        "country": "AC",        "postalCode": "string",        "state": "string"      },      "exposeRegistrantOrganization": true,      "exposeWhois": true,      "metadata": {},      "tlds": [        "string"      ],      "_createdAt": "string",      "_modifiedAt": "string",      "_deleted": true,      "_revision": 0    }  },  "actions": [    {      "type": "AUTH_CODE_PURCHASE",      "origination": "USER",      "createdAt": "string",      "startedAt": "string",      "completedAt": "string",      "modifiedAt": "string",      "status": "ACCEPTED",      "reason": {        "code": "string",        "message": "string",        "fields": [          {            "code": "string",            "message": "string",            "path": "string",            "pathRelated": "string"          }        ]      },      "requestId": "string"    }  ],  "dnssecRecords": [    {      "algorithm": "RSAMD5",      "keyTag": 65536,      "digestType": "SHA1",      "digest": "string",      "flags": "ZSK",      "publicKey": "string",      "maxSignatureLife": 0    }  ],  "registryStatusCodes": [    "ADD_PERIOD"  ]}
GET
/v2/customers/{customerId}/domains/{domain}/privacy/forwarding

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain name whose details are to be retrieved

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/customers/string/domains/string/privacy/forwarding"
{  "privateEmail": "string",  "forwardingEmail": "string",  "emailPreference": "EMAIL_FILTER"}
PATCH
/v2/customers/{customerId}/domains/{domain}/privacy/forwarding

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

domain*string

Domain name whose details are to be retrieved

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Request Body

application/json

Update privacy email forwarding settings

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v2/customers/string/domains/string/privacy/forwarding" \  -H "Content-Type: application/json" \  -d '{    "privateEmailType": "DEFAULT",    "emailPreference": "EMAIL_FILTER"  }'
Empty
GET
/v2/customers/{customerId}/domains/forwards/{fqdn}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

fqdn*string

The fully qualified domain name whose forwarding details are to be retrieved.

Query Parameters

includeSubs?boolean

Optionally include all sub domains if the fqdn specified is a domain and not a sub domain.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/customers/string/domains/forwards/string"
[  {    "fqdn": "string",    "type": "MASKED",    "url": "string",    "mask": {      "title": "string",      "description": "string",      "keywords": "string"    }  }]
POST
/v2/customers/{customerId}/domains/forwards/{fqdn}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount you're operating on behalf of; otherwise use your own customer id.

fqdn*string

The fully qualified domain name whose forwarding details are to be modified.

Request Body

application/json

Domain forwarding rule to create for the specified fqdn

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/forwards/string" \  -H "Content-Type: application/json" \  -d '{    "type": "MASKED",    "url": "string"  }'
Empty
DELETE
/v2/customers/{customerId}/domains/forwards/{fqdn}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

fqdn*string

The fully qualified domain name whose forwarding details are to be deleted.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v2/customers/string/domains/forwards/string"
Empty
PUT
/v2/customers/{customerId}/domains/forwards/{fqdn}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

fqdn*string

The fully qualified domain name whose forwarding details are to be modified.

Request Body

application/json

Domain forwarding rule to create or replace on the fqdn

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/customers/string/domains/forwards/string" \  -H "Content-Type: application/json" \  -d '{    "type": "MASKED",    "url": "string"  }'
Empty

Agent & Automation Notes

Scopesdomains.domain:read, domains.domain:create, domains.domain:update, domains.contact:update, domains.nameserver:update, domains.transfer:execute, domains.transfer:update, domains.forward:update
Rate limit60 req/min per credential
On failureAsync operations return 202 with an Action object. Poll until terminal state. Do not resubmit transfers.

Last updated on

How is this guide?